[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TEditCut.UpdateTarget

Updates the enabled state for the action.

## Declaration

Source position: stdactns.pas line 53

`public procedure TEditCut.UpdateTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | Object instance with the values examined in the method.

## Description

UpdateTarget is an overridden method used to update values in the action based on settings in the specified Target control. UpdateTarget re-implements the method introduced in the ancestor class.

Target is the object instance examined in the method. It is cast to the TCustomEdit type used in the Control property. The Enabled property is set to True when the control in Target has an active text selection (SelLength is not 0).

UpdateTarget is called from the UpdateActions method in TCustomForm when actions and action lists are updated during an application idle state.

## See also

TCustomAction.Enabled |  | Enabled - whether this action is able to be used (default is True).
TBasicAction.UpdateTarget